Stream Chat Messages
curl --request GET \
--url https://api.example.com/talk2data/chat/messages/sessions/{session_id}/turns/{turn_id}/stream \
--header 'Authorization: Bearer <token>' \
--header 'x-project-id: <x-project-id>'import requests
url = "https://api.example.com/talk2data/chat/messages/sessions/{session_id}/turns/{turn_id}/stream"
headers = {
"x-project-id": "<x-project-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-project-id': '<x-project-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.example.com/talk2data/chat/messages/sessions/{session_id}/turns/{turn_id}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat
Stream Chat Messages
Stream persisted SSE events for a turn from durable storage.
GET
/
talk2data
/
chat
/
messages
/
sessions
/
{session_id}
/
turns
/
{turn_id}
/
stream
Stream Chat Messages
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Project identifier
Response
Successful Response
Was this page helpful?
⌘I

